/**
 * databox.c -- general-purpose information storage
 * Copyright (C) 2007 Tyler Montbriand
 * monttyle@burningsmell.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

/**
 *	databox.c -- simply a global, general-purpose data store of four 
 *	16-bit values.  Different kinds of chips will use them for 
 *	different things;  stepper controllers store the destination and 
 *	fractional speed in them, etc.  Registers 0-2 can be written to
 *	with the right command packet, register 3 is internal only.
 */
#include "databox.h"

// Whole lotta license for a tiny bit of code!
union databox iodata[4];
