/**
 * databox.h -- data structures for data registers.
 * Copyright (C) 2007 Tyler Montbriand
 * monttyle@burningsmell.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef __DATABOX_H__
#define __DATABOX_H__

#include "tsmtypes.h"
/**
 *	The data registers can hold one sixteen-bit or two 8-bit types.
 */
union databox
{
	Uint16	u16;
	Sint16	s16;
	Uint8	u8a[2];
	Sint8	s8a[2];
	Uint8	u8;
	Sint8	s8;
};

extern union databox iodata[4];

#define DATABOX_REG(I)		iodata[(I)&0x03]

#endif/*__DATABOX_H__*/
