/**
 * stepper.h -- externals and data registers for stepper control
 * Copyright (C) 2007 Tyler Montbriand
 * monttyle@burningsmell.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef __STEPPER_H__
#define __STEPPER_H__

#include "databox.h"

#define STEPPER_DEST	DATABOX_REG(0).s16
#define STEPPER_NUMER	DATABOX_REG(1).u16
#define STEPPER_DENOM	DATABOX_REG(2).u16
#define STEPPER_FRAC	DATABOX_REG(3).s16

extern Uint8 stepper_step;
extern Sint16 stepper_pos;

Sint8 stepper_move(void);
void stepper_show(void);

#endif/*__STEPPER_H__*/
